<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/login"></ion-back-button>
    </ion-buttons>

    <ion-title>Reset Password</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form [formGroup]="resetPasswordForm">
    <ion-item>
      <ion-label stacked>Email</ion-label>
      <ion-input formControlName="email" type="email" placeholder="Your email address" [class.invalid]="!resetPasswordForm.controls['email'].valid && resetPasswordForm.controls['email'].touched">
      </ion-input>
    </ion-item>
    <ion-item class="error-message" *ngIf="!resetPasswordForm.controls['email'].valid &&
      resetPasswordForm.controls['email'].touched">
      <ion-label>Please enter a valid email.</ion-label>
    </ion-item>

    <ion-button expand="block" (click)="resetPassword(resetPasswordForm)" [disabled]="!resetPasswordForm.valid">
      Reset your Password
    </ion-button>
  </form>
</ion-content>
